Bug 1078546 - CLI client can't login to JON 3.2 CP1, compatibility check failed
Summary: CLI client can't login to JON 3.2 CP1, compatibility check failed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: CLI
Version: JON 3.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: DR03
: JON 3.2.1
Assignee: Simeon Pinder
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon321-blockers
TreeView+ depends on / blocked
 
Reported: 2014-03-19 21:30 UTC by Mike Foley
Modified: 2014-05-08 17:43 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-05-08 17:43:39 UTC


Attachments (Terms of Use)

Description Mike Foley 2014-03-19 21:30:41 UTC
Description of problem: Can't login with CLI client to JON 3.2 CP1 


Version-Release number of selected component (if applicable):
JON 3.2.1 aka JON 3.2 CP

How reproducible:
100%.  me, viet.  and docker-ized CLI automation.  

Steps to Reproduce:
1.  ./rhq-cli.sh -s 10.16.23.173 -u rhqadmin -p rhqadmin
2.
3.

Actual results:

[mfoley@foleymonsterbox1 bin]$ ./rhq-cli.sh -s 10.16.23.173 -u rhqadmin -p rhqadmin
RHQ Enterprise Remote CLI 4.9.0.JON320GA
Login failed: This client [3.2.0.GA-redhat-1] does not support the remote server [3.2.0.GA]
Usage: login username password [host port [transport]]
unconnected$ 


Expected results:
CLI client connects without compatibility check failure 


Additional info:

Comment 1 Mike Foley 2014-03-19 21:33:37 UTC
This will block the running of the CLI automation ... (which could block the detection of other issues) ... so it should be of urgent priority.  

This issue was detected with the new Docker-ized CLI automation test suite.  This is a test suite that anyone (dev, community) can use to run the QE CLI automation against any JON 3.2 instance.  

https://mojo.redhat.com/people/vnguyen/blog/2014/03/18/dockerize-your-test-automation

Comment 3 Filip Brychta 2014-03-21 07:46:44 UTC
Workaround:
RHQ_CLI_JAVA_OPTS=-Drhq.client.version-check=false

Comment 4 Mike Foley 2014-03-25 20:29:46 UTC
edge cases to additionally verify while verifying this BZ :


CLI mixed: existing CLI (JON 3.2 GA unpatched) with patched server (JON 3.2 GA patched)  https://tcms.engineering.redhat.com/case/355140   positive testcase, should work

CLI mixed: patched CLI (JON 3.2 GA client patched to CP1) with unpatched server (JON 3.2 GA unpatched)  https://tcms.engineering.redhat.com/case/355141  positive testcase, should work

Comment 5 Simeon Pinder 2014-03-28 21:32:04 UTC
This is fixed with commit c0c6cef9430b8c363 to RHQ release branch.

Moving this to MODIFIED for testing in next available productization build.

Comment 6 Simeon Pinder 2014-04-01 20:43:54 UTC
Moving to ON_QA as available for test in newest cumulative patch build from here:
http://jon01.mw.lab.eng.bos.redhat.com:8042/dist/release/jon/3.2.1.GA/4-01-2014/
I moved the earlier build to 3-18-2014.

Comment 7 Filip Brychta 2014-04-02 08:45:45 UTC
Verified on:
Version :	
3.2.0.GA update-1
Build Number :	
13f0eea:c372b58

Comment 8 Mike Foley 2014-05-08 17:43:39 UTC
JON 3.2.1 released week of 5/5/2014


Note You need to log in before you can comment on or make changes to this bug.